@echo off
rem newfonts.bat
if "%1" == "" goto usage
if not "%2" == "" goto usage
if exist %1 goto start
echo Font list file %1 not found
goto end

:usage
echo Convert all font library files in the current directory to the new format
echo 
echo Usage:
echo     newfonts fontlist
echo 
echo The argument must be the path name of the font list file distributed
echo with emTeX. Example:
echo     newfonts d:\emtex\fontlist
echo 
echo Be sure that you have at least 1.2 MB free disk space on the current drive!
goto end

:start
:lj_0
if not exist lj_1500.fli goto lj_h
echo Converting lj_1500.fli to lj_0.fli
fontlib /2 /b300 /f%1 lj_1500 lj_0
if errorlevel 1 goto error
fontlib /t /f%1 lj_0
if errorlevel 1 goto error
del lj_1500.bak
:lj_h
if not exist lj_1643.fli goto lj_1
echo Converting lj_1643.fli to lj_h.fli
fontlib /2 /b300 /f%1 lj_1643 lj_h
if errorlevel 1 goto error
fontlib /t /f%1 lj_h
if errorlevel 1 goto error
del lj_1643.bak
:lj_1
if not exist lj_1800.fli goto lj_2
echo Converting lj_1800.fli to lj_1.fli
fontlib /2 /b300 /f%1 lj_1800 lj_1
if errorlevel 1 goto error
fontlib /t /f%1 lj_1
if errorlevel 1 goto error
del lj_1800.bak
:lj_2
if not exist lj_2160.fli goto lj_3
echo Converting lj_2160.fli to lj_2.fli
fontlib /2 /b300 /f%1 lj_2160 lj_2
if errorlevel 1 goto error
fontlib /t /f%1 lj_2
if errorlevel 1 goto error
del lj_2160.bak
:lj_3
if not exist lj_2592.fli goto lj_4
echo Converting lj_2592.fli to lj_3.fli
fontlib /2 /b300 /f%1 lj_2592 lj_3
if errorlevel 1 goto error
fontlib /t /f%1 lj_3
if errorlevel 1 goto error
del lj_2592.bak
:lj_4
if not exist lj_3110.fli goto lj_5a
echo Converting lj_3110.fli to lj_4.fli
fontlib /2 /b300 /f%1 lj_3110 lj_4
if errorlevel 1 goto error
fontlib /t /f%1 lj_4
if errorlevel 1 goto error
del lj_3110.bak
:lj_5a
if not exist lj_3732a.fli goto lj_5b
echo Converting lj_3732a.fli to lj_5a.fli
fontlib /2 /b300 /f%1 lj_3732a lj_5a
if errorlevel 1 goto error
fontlib /t /f%1 lj_5a
if errorlevel 1 goto error
del lj_3732a.bak
:lj_5b
if not exist lj_3732b.fli goto fx_0
echo Converting lj_3732b.fli to lj_5b.fli
fontlib /2 /b300 /f%1 lj_3732b lj_5b
if errorlevel 1 goto error
fontlib /t /f%1 lj_5b
if errorlevel 1 goto error
del lj_3732b.bak
:fx_0
if not exist fx_1200.fli goto fx_h
echo Converting fx_1200.fli to fx_0.fli
fontlib /2 /b240 /f%1 fx_1200 fx_0
if errorlevel 1 goto error
fontlib /t /f%1 fx_0
if errorlevel 1 goto error
del fx_1200.bak
:fx_h
if not exist fx_1315.fli goto fx_1
echo Converting fx_1315.fli to fx_h.fli
fontlib /2 /b240 /f%1 fx_1315 fx_h
if errorlevel 1 goto error
fontlib /t /f%1 fx_h
if errorlevel 1 goto error
del fx_1315.bak
:fx_1
if not exist fx_1440.fli goto fx_2
echo Converting fx_1440.fli to fx_1.fli
fontlib /2 /b240 /f%1 fx_1440 fx_1
if errorlevel 1 goto error
fontlib /t /f%1 fx_1
if errorlevel 1 goto error
del fx_1440.bak
:fx_2
if not exist fx_1728.fli goto fx_3
echo Converting fx_1728.fli to fx_2.fli
fontlib /2 /b240 /f%1 fx_1728 fx_2
if errorlevel 1 goto error
fontlib /t /f%1 fx_2
if errorlevel 1 goto error
del fx_1728.bak
:fx_3
if not exist fx_2074.fli goto fx_4
echo Converting fx_2074.fli to fx_3.fli
fontlib /2 /b240 /f%1 fx_2074 fx_3
if errorlevel 1 goto error
fontlib /t /f%1 fx_3
if errorlevel 1 goto error
del fx_2074.bak
:fx_4
if not exist fx_2488.fli goto fx_5
echo Converting fx_2488.fli to fx_4.fli
fontlib /2 /b240 /f%1 fx_2488 fx_4
if errorlevel 1 goto error
fontlib /t /f%1 fx_4
if errorlevel 1 goto error
del fx_2488.bak
:fx_5
if not exist fx_2986.fli goto p6l_0
echo Converting fx_2986.fli to fx_5.fli
fontlib /2 /b240 /f%1 fx_2986 fx_5
if errorlevel 1 goto error
fontlib /t /f%1 fx_5
if errorlevel 1 goto error
del fx_2986.bak
:p6l_0
if not exist p6l_900.fli goto p6l_h
echo Converting p6l_900.fli to p6l_0.fli
fontlib /2 /b180 /f%1 p6l_900 p6l_0
if errorlevel 1 goto error
fontlib /t /f%1 p6l_0
if errorlevel 1 goto error
del p6l_900.bak
:p6l_h
if not exist p6l_986.fli goto p6l_1
echo Converting p6l_986.fli to p6l_h.fli
fontlib /2 /b180 /f%1 p6l_986 p6l_h
if errorlevel 1 goto error
fontlib /t /f%1 p6l_h
if errorlevel 1 goto error
del p6l_986.bak
:p6l_1
if not exist p6l_1080.fli goto p6l_2
echo Converting p6l_1080.fli to p6l_1.fli
fontlib /2 /b180 /f%1 p6l_1080 p6l_1
if errorlevel 1 goto error
fontlib /t /f%1 p6l_1
if errorlevel 1 goto error
del p6l_1080.bak
:p6l_2
if not exist p6l_1296.fli goto p6l_3
echo Converting p6l_1296.fli to p6l_2.fli
fontlib /2 /b180 /f%1 p6l_1296 p6l_2
if errorlevel 1 goto error
fontlib /t /f%1 p6l_2
if errorlevel 1 goto error
del p6l_1296.bak
:p6l_3
if not exist p6l_1555.fli goto p6l_4
echo Converting p6l_1555.fli to p6l_3.fli
fontlib /2 /b180 /f%1 p6l_1555 p6l_3
if errorlevel 1 goto error
fontlib /t /f%1 p6l_3
if errorlevel 1 goto error
del p6l_1555.bak
:p6l_4
if not exist p6l_1866.fli goto p6l_5
echo Converting p6l_1866.fli to p6l_4.fli
fontlib /2 /b180 /f%1 p6l_1866 p6l_4
if errorlevel 1 goto error
fontlib /t /f%1 p6l_4
if errorlevel 1 goto error
del p6l_1866.bak
:p6l_5
if not exist p6l_2239.fli goto p6m_0
echo Converting p6l_2239.fli to p6l_5.fli
fontlib /2 /b180 /f%1 p6l_2239 p6l_5
if errorlevel 1 goto error
fontlib /t /f%1 p6l_5
if errorlevel 1 goto error
del p6l_2239.bak
:p6m_0
if not exist p6m_1800.fli goto p6m_h
echo Converting p6m_1800.fli to p6m_0.fli
fontlib /2 /b360 /f%1 p6m_1800 p6m_0
if errorlevel 1 goto error
fontlib /t /f%1 p6m_0
if errorlevel 1 goto error
del p6m_1800.bak
:p6m_h
if not exist p6m_1972.fli goto p6m_1
echo Converting p6m_1972.fli to p6m_h.fli
fontlib /2 /b360 /f%1 p6m_1972 p6m_h
if errorlevel 1 goto error
fontlib /t /f%1 p6m_h
if errorlevel 1 goto error
del p6m_1972.bak
:p6m_1
if not exist p6m_2160.fli goto p6m_2
echo Converting p6m_2160.fli to p6m_1.fli
fontlib /2 /b360 /f%1 p6m_2160 p6m_1
if errorlevel 1 goto error
fontlib /t /f%1 p6m_1
if errorlevel 1 goto error
del p6m_2160.bak
:p6m_2
if not exist p6m_2592.fli goto p6m_3
echo Converting p6m_2592.fli to p6m_2.fli
fontlib /2 /b360 /f%1 p6m_2592 p6m_2
if errorlevel 1 goto error
fontlib /t /f%1 p6m_2
if errorlevel 1 goto error
del p6m_2592.bak
:p6m_3
if not exist p6m_3110.fli goto p6m_4
echo Converting p6m_3110.fli to p6m_3.fli
fontlib /2 /b360 /f%1 p6m_3110 p6m_3
if errorlevel 1 goto error
fontlib /t /f%1 p6m_3
if errorlevel 1 goto error
del p6m_3110.bak
:p6m_4
if not exist p6m_3732.fli goto p6m_5
echo Converting p6m_3732.fli to p6m_4.fli
fontlib /2 /b360 /f%1 p6m_3732 p6m_4
if errorlevel 1 goto error
fontlib /t /f%1 p6m_4
if errorlevel 1 goto error
del p6m_3732.bak
:p6m_5
if not exist p6m_4479.fli goto p6h_0
echo Converting p6m_4479.fli to p6m_5.fli
fontlib /2 /b360 /f%1 p6m_4479 p6m_5
if errorlevel 1 goto error
fontlib /t /f%1 p6m_5
if errorlevel 1 goto error
del p6m_4479.bak
:p6h_0
if not exist p6h_1800.fli goto p6h_h
echo Converting p6h_1800.fli to p6h_0.fli
fontlib /2 /b360 /f%1 p6h_1800 p6h_0
if errorlevel 1 goto error
fontlib /t /f%1 p6h_0
if errorlevel 1 goto error
del p6h_1800.bak
:p6h_h
if not exist p6h_1972.fli goto p6h_1
echo Converting p6h_1972.fli to p6h_h.fli
fontlib /2 /b360 /f%1 p6h_1972 p6h_h
if errorlevel 1 goto error
fontlib /t /f%1 p6h_h
if errorlevel 1 goto error
del p6h_1972.bak
:p6h_1
if not exist p6h_2160.fli goto p6h_2
echo Converting p6h_2160.fli to p6h_1.fli
fontlib /2 /b360 /f%1 p6h_2160 p6h_1
if errorlevel 1 goto error
fontlib /t /f%1 p6h_1
if errorlevel 1 goto error
del p6h_2160.bak
:p6h_2
if not exist p6h_2592.fli goto p6h_3
echo Converting p6h_2592.fli to p6h_2.fli
fontlib /2 /b360 /f%1 p6h_2592 p6h_2
if errorlevel 1 goto error
fontlib /t /f%1 p6h_2
if errorlevel 1 goto error
del p6h_2592.bak
:p6h_3
if not exist p6h_3110.fli goto p6h_4
echo Converting p6h_3110.fli to p6h_3.fli
fontlib /2 /b360 /f%1 p6h_3110 p6h_3
if errorlevel 1 goto error
fontlib /t /f%1 p6h_3
if errorlevel 1 goto error
del p6h_3110.bak
:p6h_4
if not exist p6h_3732.fli goto p6h_5
echo Converting p6h_3732.fli to p6h_4.fli
fontlib /2 /b360 /f%1 p6h_3732 p6h_4
if errorlevel 1 goto error
fontlib /t /f%1 p6h_4
if errorlevel 1 goto error
del p6h_3732.bak
:p6h_5
if not exist p6h_4479.fli goto p6h_r
echo Converting p6h_4479.fli to p6h_5.fli
fontlib /2 /b360 /f%1 p6h_4479 p6h_5
if errorlevel 1 goto error
fontlib /t /f%1 p6h_5
if errorlevel 1 goto error
del p6h_4479.bak
:p6h_r
if not exist p6h_rest.fli goto ito_0
echo Converting p6h_rest.fli to p6h_r.fli
fontlib /2 /b360 /f%1 p6h_rest p6h_r
if errorlevel 1 goto error
fontlib /t /f%1 p6h_r
if errorlevel 1 goto error
del p6h_rest.bak
:ito_0
if not exist ito_800.fli goto ito_h
echo Converting ito_800.fli to ito_0.fli
fontlib /2 /b160 /f%1 ito_800 ito_0
if errorlevel 1 goto error
fontlib /t /f%1 ito_0
if errorlevel 1 goto error
del ito_800.bak
:ito_h
if not exist ito_876.fli goto ito_1
echo Converting ito_876.fli to ito_h.fli
fontlib /2 /b160 /f%1 ito_876 ito_h
if errorlevel 1 goto error
fontlib /t /f%1 ito_h
if errorlevel 1 goto error
del ito_876.bak
:ito_1
if not exist ito_960.fli goto ito_2
echo Converting ito_960.fli to ito_1.fli
fontlib /2 /b160 /f%1 ito_960 ito_1
if errorlevel 1 goto error
fontlib /t /f%1 ito_1
if errorlevel 1 goto error
del ito_960.bak
:ito_2
if not exist ito_1152.fli goto ito_3
echo Converting ito_1152.fli to ito_2.fli
fontlib /2 /b160 /f%1 ito_1152 ito_2
if errorlevel 1 goto error
fontlib /t /f%1 ito_2
if errorlevel 1 goto error
del ito_1152.bak
:ito_3
if not exist ito_1382.fli goto ito_4
echo Converting ito_1382.fli to ito_3.fli
fontlib /2 /b160 /f%1 ito_1382 ito_3
if errorlevel 1 goto error
fontlib /t /f%1 ito_3
if errorlevel 1 goto error
del ito_1382.bak
:ito_4
if not exist ito_1659.fli goto ito_5
echo Converting ito_1659.fli to ito_4.fli
fontlib /2 /b160 /f%1 ito_1659 ito_4
if errorlevel 1 goto error
fontlib /t /f%1 ito_4
if errorlevel 1 goto error
del ito_1659.bak
:ito_5
if not exist ito_1991.fli goto done
echo Converting ito_1991.fli to ito_5.fli
fontlib /2 /b160 /f%1 ito_1991 ito_5
if errorlevel 1 goto error
fontlib /t /f%1 ito_5
if errorlevel 1 goto error
del ito_1991.bak
:done
echo Done
goto end

:error
echo *** An error has occured!!!
:end
